Subject: Re: Cygwin crashes using own linker scripts
From: Chris Faylor <[email-masked]>
To: Rotter Klaus <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 24 Aug 1999 12:27:31 -0400

If the linker is crashing, it's undoubtedly a bug.

You might try sending a detailed problem report to the EGCS mailing
list.

-chris

On Tue, Aug 24, 1999 at 08:37:26AM +0200, Rotter Klaus wrote:
>I have discovered a problem with cygwin. I use cygwin for embedded developmend.
>The standard out-of-the-box cygwin seems to have a problem with linker scripts (and/or absolute linking). If I do the following (or use an absoulte linker script), cygwin crashes:
>
>10:15:13://h/c-src> ld -oformat binary -Tbss 0x1000 -Tdata 0x2000 -Ttext 0x3000 test2.o -o test2.abs
>[main] D:\users\rku65670\cygnus\CYGWIN~1\H-I586~1\bin\ld.exe 9008 (0) handle_exc
>eptions: Exception: STATUS_ACCESS_VIOLATION
>[main] ld 9008 (0) handle_exceptions: Dumping stack trace to ld.exe.core
>
>ld --help says:
>
>[...]
>ld: supported targets: pe-i386 pei-i386 srec symbolsrec tekhex binary ihex
>ld: supported emulations: i386pe
>ld: emulation specific options:
>[...]
>
>I have recompiled cygwins B20 ld and also gcc 2.95 ld (just ./configure). The result 
>is the same: crash.
>
>Then I recompiled gcc 2.95 ld with "./configure --target=i386-linux-coff" and now it works.
>
>ls-new --help says:
>[...]
>ld-new: supported targets: coff-i386 srec symbolsrec tekhex binary ihex
>ld-new: supported emulations: i386coff
>[...]
>
>So, is there a bug or do I have missed something ?

--
Want to unsubscribe from this list?
Send a message to [email-masked]